Bug 116949 - security/vpnc: Some Cisco Concentrators refuse Connection (ISAKMP_N_INVALID_PAYLOAD_TYPE(1))
Summary: security/vpnc: Some Cisco Concentrators refuse Connection (ISAKMP_N_INVALID_P...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-05 11:40 UTC by Raffaele De Lorenzo
Modified: 2008-03-06 19:20 UTC (History)
0 users

See Also:


Attachments
file.shar (8.89 KB, text/plain)
2007-10-05 11:40 UTC, Raffaele De Lorenzo
no flags Details
config.c.patch (855 bytes, patch)
2007-10-05 13:03 UTC, Raffaele De Lorenzo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raffaele De Lorenzo 2007-10-05 11:40:01 UTC
Some Cisco Concentrator refuse connection if the Presentation Version
String is not the same like Official "Cisco VPN Client". This patch
masked the version to "Cisco Systems VPN Client 4.8.00 (0490):Linux",
and solve this problem.

Fix: Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2007-10-05 11:48:19 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

Make this a ports PR. 

Note to submitter: the maintainer will want to see a patch to the 
existing port, not a new tarball, per our standard practice.
Comment 2 Raffaele De Lorenzo 2007-10-05 13:03:27 UTC
Hi,
this is the file patched to the existing port.

Raffaele
Comment 3 Stefan Walter freebsd_committer 2007-10-05 17:57:14 UTC
Dear maintainer of security/vpnc,

a problem report has been submitted for your port for which your 
feedback might be required; its contents can be found at [1]. If it 
contains a patch or suggestions for a change, please send a followup to 
the PR explaining whether or not you approve it and want it to be 
committed.

Regards,
Stefan

[1]: http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/116949
Comment 4 Stefan Walter freebsd_committer 2007-10-05 18:24:40 UTC
State Changed
From-To: open->feedback

Awaiting maintainer's feedback.
Comment 5 Emanuel Haupt freebsd_committer 2008-02-27 20:33:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

I will take care of it.
Comment 6 Emanuel Haupt freebsd_committer 2008-03-05 23:20:38 UTC
State Changed
From-To: feedback->open

Fix state.
Comment 7 Emanuel Haupt freebsd_committer 2008-03-05 23:21:44 UTC
State Changed
From-To: open->feedback

The port has been updated recently. Does the problem still exist?
Comment 8 Emanuel Haupt freebsd_committer 2008-03-06 08:17:28 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 9 Emanuel Haupt freebsd_committer 2008-03-06 08:20:07 UTC
State Changed
From-To: open->feedback

I'd rather make this optional and per default off. Could you please create a patch against the current version? I'll implement OPTIONS for you if you like.
Comment 10 Emanuel Haupt freebsd_committer 2008-03-06 19:08:31 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 11 Emanuel Haupt freebsd_committer 2008-03-06 19:12:06 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 12 dfilter service freebsd_committer 2008-03-06 19:12:06 UTC
ehaupt      2008-03-06 19:11:59 UTC

  FreeBSD ports repository

  Modified files:
    security/vpnc        Makefile 
    security/vpnc/files  patch-config.c 
  Log:
  Some Cisco Concentrator refuse connection if the presentation version string
  differs from the official "Cisco VPN Client".
  
  Provide an optional patch which masks the original version string.
  
  PR:             116949
  Submitted by:   Raffaele De Lorenzo <raffaele.delorenzo@libero.it>
  
  Revision  Changes    Path
  1.32      +7 -2      ports/security/vpnc/Makefile
  1.9       +39 -11    ports/security/vpnc/files/patch-config.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"